# Uses of Interface
org.talend.transform.runtime.api.MessageAdaptor

## Uses of MessageAdaptor in org.talend.transform.runtime.api

Methods in org.talend.transform.runtime.api that return MessageAdaptor
Modifier and Type
Method
Description
`MessageAdaptor`
MapExecutionContext.`getMessageAdaptor()`
Gets the adaptor to be used to handle any Read/WriteMessage IO functions for this execution.
Methods in org.talend.transform.runtime.api with parameters of type MessageAdaptor
Modifier and Type
Method
Description
`void`
MapExecutionContext.`setMessageAdaptor(MessageAdaptor adaptor)`
Sets an adaptor to be used to handle any Read/WriteMessage IO functions for this execution.